public class Circle extends GeometricObject {
  private double radius;

  public Circle() {
  }

  public Circle(double radius) {
    this.radius = radius;
  }

  /** Zwraca promień */
  public double getRadius() {
    return radius;
  }

  /** Ustawia nowy promień */
  public void setRadius(double radius) {
    this.radius = radius;
  }

  @Override /** Zwraca powierzchnię */
  public double getArea() {
    return radius * radius * Math.PI;
  }

  /** Zwraca średnicę */
  public double getDiameter() {
    return 2 * radius;
  }

  @Override /** Zwraca obwód */
  public double getPerimeter() {
    return 2 * radius * Math.PI;
  }

  /* Wyświetla informacje o kole */
  public void printCircle() {
    System.out.println("Koło zostało utworzone " + getDateCreated() +
      ". Promień to: " + radius);
  }
}
